# Uses of Class
org.apache.zookeeper.server.admin.AuthRequest

Packages that use AuthRequest
Package
Description
org.apache.zookeeper.server.admin

## Uses of AuthRequest in org.apache.zookeeper.server.admin

Methods in org.apache.zookeeper.server.admin that return AuthRequest
Modifier and Type
Method
Description
`AuthRequest`
Command.`getAuthRequest()`
`AuthRequest`
CommandBase.`getAuthRequest()`
Constructors in org.apache.zookeeper.server.admin with parameters of type AuthRequest
Modifier
Constructor
Description
`protected`
`CommandBase(List<String> names, boolean serverRequired, AuthRequest authRequest)`
`protected`
`GetCommand(List<String> names, boolean serverRequired, AuthRequest authRequest)`
`protected`
`PostCommand(List<String> names, boolean serverRequired, AuthRequest authRequest)`